> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/variant-market-description.md).

# Variant Market description

```

The variant market description provides outcome information related to outrights.
Filters available are the language, the ID of the market, the variant URN and if the mapping should be included or not.
Here below we have an example of the responde of the end point in case of filtering without mapping and the same filtering with mapping.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <market_descriptions response_code="OK">
    <market id="241" name="Exact games" variant="sr:exact_games:bestof:5">
      <outcomes>
        <outcome id="sr:exact_games:bestof:5:39" name="3"/>
        <outcome id="sr:exact_games:bestof:5:40" name="4"/>
        <outcome id="sr:exact_games:bestof:5:41" name="5"/>
      </outcomes>
    </market>
  </market_descriptions>


```

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <market_descriptions response_code="OK">
    <market id="241" name="Exact games" variant="sr:exact_games:bestof:5">
      <outcomes>
        <outcome id="sr:exact_games:bestof:5:39" name="3"/>
        <outcome id="sr:exact_games:bestof:5:40" name="4"/>
        <outcome id="sr:exact_games:bestof:5:41" name="5"/>
      </outcomes>
      <mappings>
        <mapping product_id="3" product_ids="3" sport_id="sr:sport:20" market_id="232" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="99" product_outcome_name="3 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="100" product_outcome_name="4 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="101" product_outcome_name="5 sets"/>
        </mapping>
        <mapping product_id="1" product_ids="1|4" sport_id="sr:sport:31" market_id="8:25" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="31" product_outcome_name="3"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="32" product_outcome_name="4"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="33" product_outcome_name="5"/>
        </mapping>
        <mapping product_id="1" product_ids="1|4" sport_id="sr:sport:20" market_id="8:25" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="31" product_outcome_name="3"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="32" product_outcome_name="4"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="33" product_outcome_name="5"/>
        </mapping>
        <mapping product_id="3" product_ids="3" sport_id="sr:sport:31" market_id="232" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="99" product_outcome_name="3 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="100" product_outcome_name="4 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="101" product_outcome_name="5 sets"/>
        </mapping>
        <mapping product_id="3" product_ids="3" sport_id="sr:sport:37" market_id="232" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="99" product_outcome_name="3 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="100" product_outcome_name="4 sets"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="101" product_outcome_name="5 sets"/>
        </mapping>
        <mapping product_id="1" product_ids="1|4" sport_id="sr:sport:37" market_id="8:25" valid_for="variant=sr:exact_games:bestof:5">
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:39" product_outcome_id="31" product_outcome_name="3"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:40" product_outcome_id="32" product_outcome_name="4"/>
          <mapping_outcome outcome_id="sr:exact_games:bestof:5:41" product_outcome_id="33" product_outcome_name="5"/>
        </mapping>
      </mappings>
    </market>
  </market_descriptions>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/variant-market-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
